Bug 2124782 (CVE-2022-38528) - CVE-2022-38528 assimp: contain a segmentation violation via the component Assimp::XFileImporter::CreateMeshes.
Summary: CVE-2022-38528 assimp: contain a segmentation violation via the component Ass...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2022-38528
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2124783 2124784
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-09-07 06:16 UTC by Sandipan Roy
Modified: 2022-11-25 04:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-11-25 04:54:03 UTC


Attachments (Terms of Use)

Description Sandipan Roy 2022-09-07 06:16:32 UTC
Open Asset Import Library (assimp) commit 3c253ca was discovered to contain a segmentation violation via the component Assimp::XFileImporter::CreateMeshes.

https://github.com/assimp/assimp/issues/4662

Comment 1 Sandipan Roy 2022-09-07 06:16:57 UTC
Created assimp tracking bugs for this issue:

Affects: epel-all [bug 2124784]
Affects: fedora-all [bug 2124783]

Comment 2 Product Security DevOps Team 2022-11-25 04:54:01 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.